# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "easydrm"
version = "0.3.0"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "GLFW-inspired abstraction over DRM/KMS, GBM, and EGL/OpenGL that lets you build fullscreen Linux applications without a compositor (no X11, no Wayland)."
readme = "README.md"
license = "MIT"
repository = "https://github.com/hyprside/easydrm"

[lib]
name = "easydrm"
path = "src/lib.rs"

[[example]]
name = "basic"
path = "examples/basic.rs"

[[example]]
name = "custom_context"
path = "examples/custom_context.rs"

[dependencies.drm]
version = "0.14.1"

[dependencies.drm-sys]
version = "0.8.0"

[dependencies.gbm]
version = "0.18.0"
features = [
    "drm",
    "drm-support",
    "import-egl",
]
default-features = false

[dependencies.glutin]
version = "0.32.3"
features = ["egl"]
default-features = false

[dependencies.libc]
version = "0.2.177"

[dependencies.nix]
version = "0.30.1"
features = [
    "poll",
    "socket",
]

[dependencies.raw-window-handle]
version = "0.6.2"

[dependencies.thiserror]
version = "2.0.17"

[dev-dependencies.rand]
version = "0.9.2"

[build-dependencies.gl_generator]
version = "0.14.0"
